z8530_shutdown
Prev | Chapter 26. Z85230 Support Library | Next

## Name

z8530_shutdown — Shutdown a Z8530 device

## Synopsis

`int z8530_shutdown (` | struct z8530_dev * | dev`)`;

## Arguments

`dev`

  The Z8530 chip to shutdown

## Description

We set the interrupt handlers to silence any interrupts. We then reset the chip and wait 100uS to be sure the reset completed. Just in case the caller then tries to do stuff.

This is called without the lock held

Prev | Up | Next
z8530_init | Home | z8530_channel_load